Bug 560967 - perl based Zim will cause conflict with python based zim
perl based Zim will cause conflict with python based zim
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks: 563844
  Show dependency treegraph
 
Reported: 2010-02-02 06:16 EST by Upstream Release Monitoring
Modified: 2010-03-12 13:56 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-12 13:56:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
proposed srpm for Zim-in-Python (561.18 KB, application/x-rpm)
2010-02-06 08:58 EST, Robin Lee
no flags Details

  None (edit)
Description Upstream Release Monitoring 2010-02-02 06:16:15 EST
Latest upstream release: 0.43
Current version in Fedora Rawhide: 0.28
URL: http://zim-wiki.org/downloads/

Please consult the package update guidelines before you issue an update to a stable branch: https://fedoraproject.org/wiki/Package_update_guidelines

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_Release_Monitoring
Comment 1 Robin Lee 2010-02-06 08:55:25 EST
After version 0.42, Zim has been reimplemented with Python.

I have written a piece of spec file for Zim-in-Python. All are contained in the attached srpm.

Besides changes for packaging Zim-in-Python, some extra changes I made against the latest spec file:
- Add post and postun scriptlets
- Remove scrot from requires, which is just used by a plugin. The program has multiple plugins and each has their dependences.
- Change Gtk2-Perl to PyGTK in the description


And a new version of Zim-in-Perl is also available now.
http://zim-wiki.org/downloads/Zim-0.29.tar.gz
Comment 2 Robin Lee 2010-02-06 08:58:35 EST
Created attachment 389277 [details]
proposed srpm for Zim-in-Python
Comment 3 Chris Weyl 2010-02-08 02:48:28 EST
Yep -- I need to follow up, but I've been discussing with upstream maintaining the Perl implementation of Zim; it seems as though we're both amenable to it (and I have some investment with it) so that should happen shortly.  It's extremely unlikely at this point that I'll be using the Python branch, so if you have an interest in it that we can't satisfy using this branch, you should feel free to submit it as a new package for review.  (preferably called PyZim or something :))
Comment 4 Robin Lee 2010-02-11 05:48:34 EST
A review request has been submitted as https://bugzilla.redhat.com/show_bug.cgi?id=563844 .
(In reply to comment #3)
> Yep -- I need to follow up, but I've been discussing with upstream maintaining
> the Perl implementation of Zim; it seems as though we're both amenable to it
> (and I have some investment with it) so that should happen shortly.  It's
> extremely unlikely at this point that I'll be using the Python branch, so if
> you have an interest in it that we can't satisfy using this branch, you should
> feel free to submit it as a new package for review.  (preferably called PyZim
> or something :))
Comment 5 Chen Lei 2010-02-24 07:06:41 EST
(In reply to comment #3)
> Yep -- I need to follow up, but I've been discussing with upstream maintaining
> the Perl implementation of Zim; it seems as though we're both amenable to it
> (and I have some investment with it) so that should happen shortly.  It's
> extremely unlikely at this point that I'll be using the Python branch, so if
> you have an interest in it that we can't satisfy using this branch, you should
> feel free to submit it as a new package for review.  (preferably called PyZim
> or something :))    

I think a better way is to rename perl branches to something else such as zim02. 
See http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Multiple_packages_with_the_same_base_name
Then we can update zim to the python branches, the trunk of zim seems python coded now.

A secondary solution is to convince upstream renameing either of the two branches, such as pyzim or perl-zim
Comment 6 Mamoru TASAKA 2010-03-12 04:44:37 EST
Chris, Jussi and me just think that the new package "zim"
(review request submitted as bug 563844) should just obsolete
the old "Zim" package (you maintain) as this is just that zim/Zim is
rewritten with different language. 

Unless you have any reason you want to keep old "Zim" package
on Fedora, I just want to approve new "zim" package and make
zim obsolete Zim. How do you think?
Comment 7 Chris Weyl 2010-03-12 11:25:16 EST
I use Zim heavily, including with some custom plugin code I depend on...  As stated above, I intend to carry on the original Zim as a fork, with upstream's blessing.

So, to be more explicit, I have no intention of allowing this Zim to become obsolete :)
Comment 8 Robin Lee 2010-03-12 12:08:10 EST
I also use Zim heavily, as my everyday noter. But what is a fact is that the Python branch is the focus of development and the Perl one is almost frozen. And (py)zim has replaced (pl)zim as upstream main release and will eventually provide identical and more functions with (pl)Zim.

Although, by now, (py)zim is not yet mature enough as (pl)Zim, but in my opinion, at least, (py)zim should be imported to F-13 for testing now and replace (pl)zim in F-13. (Pl)zim can be kept updated in F-11 and F-12.
Comment 9 Mamoru TASAKA 2010-03-12 13:01:28 EST
(In reply to comment #7)
> I use Zim heavily, including with some custom plugin code I depend on...  As
> stated above, I intend to carry on the original Zim as a fork, with upstream's
> blessing.

- Well, "as I still use this old package, please don't remove this"
  is not a valid reason to keep a package already obsoleted by the
  upstream.

  If you really intend to maintain the old perl based Zim by
  yourself, please modify your old Zim so that it won't conflict
  with the new zim.
Comment 10 Mamoru TASAKA 2010-03-12 13:13:36 EST
Note that:
	file /usr/bin/zim from install of Zim-0.29-1.fc13.noarch conflicts with file from package zim-0.44-5.fc13.noarch
	file /usr/share/man/man1/zim.1.gz from install of Zim-0.29-1.fc13.noarch conflicts with file from package zim-0.44-5.fc13.noarch
	file /usr/share/zim/templates/html/Default.html from install of Zim-0.29-1.fc13.noarch conflicts with file from package zim-0.44-5.fc13.noarch
	file /usr/share/zim/templates/html/Presentation.html from install of Zim-0.29-1.fc13.noarch conflicts with file from package zim-0.44-5.fc13.noarch
	file /usr/share/zim/templates/html/Print.html from install of Zim-0.29-1.fc13.noarch conflicts with file from package zim-0.44-5.fc13.noarch
	file /usr/share/zim/templates/wiki/_New.txt from install of Zim-0.29-1.fc13.noarch conflicts with file from package zim-0.44-5.fc13.noarch
	file /usr/share/zim/urls.list from install of Zim-0.29-1.fc13.noarch conflicts with file from package zim-0.44-5.fc13.noarch
Comment 11 Chris Weyl 2010-03-12 13:56:17 EST
1) This package "zim" you cite in comment #10 is not in Fedora, and
2) The Zim package's upstream is changing, and certainly doesn't consider this package to be "obsolete" :)

I'll say again here:

"I have no intention of removing the current Zim package; its upstream is changing and it will be able to continue as is.

"I'd like to see these two packages co-exist peacfully, however...  I'm certainly open to any reasonable suggestions along those lines that don't involve obsoleting the Zim package, or changing bits that users recognize, e.g. /usr/bin/zim, etc."

Note You need to log in before you can comment on or make changes to this bug.